# Function layoutDiscriminator

- layoutDiscriminator<B>(layouts, allowAmbiguous?): ((encoded) => B extends false
  ? number
  : readonly number[])

- #### Type Parameters

  - #### B extends boolean = false

  #### Parameters

  - ##### layouts: readonly layout.Layout[]

  - ##### `Optional` allowAmbiguous: B

  #### Returns ((encoded) => B extends false
  ? number
  : readonly number[])

  - - (encoded): B extends false
      ? number
      : readonly number[]

    - #### Parameters

      - ##### encoded: Uint8Array

      #### Returns B extends false
      ? number
      : readonly number[]

  - Defined in core/base/src/utils/layout/discriminate.ts:525

Generated using TypeDoc